LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XPrintAreas Interface Referencepublished

represents a sheet which has print areas. More...

`import"XPrintAreas.idl";`

Inheritance diagram for XPrintAreas:

## Public Member Functions
sequence< com::sun::star::table::CellRangeAddress > | getPrintAreas ()
| returns a sequence containing all print areas of the sheet. More...
void | setPrintAreas ([in] sequence< com::sun::star::table::CellRangeAddress > aPrintAreas)
| sets the print areas of the sheet. More...
boolean | getPrintTitleColumns ()
| returns, whether the title columns are repeated on all subsequent print pages to the right. More...
void | setPrintTitleColumns ([in] boolean bPrintTitleColumns)
| specifies whether the title columns are repeated on all subsequent print pages to the right. More...
com::sun::star::table::CellRangeAddress | getTitleColumns ()
| returns the range that is specified as title columns range. More...
void | setTitleColumns ([in] com::sun::star::table::CellRangeAddress aTitleColumns)
| specifies a range of columns as title columns range. More...
boolean | getPrintTitleRows ()
| returns, whether the title rows are repeated on all subsequent print pages to the bottom. More...
void | setPrintTitleRows ([in] boolean bPrintTitleRows)
| specifies whether the title rows are repeated on all subsequent print pages to the bottom. More...
com::sun::star::table::CellRangeAddress | getTitleRows ()
| returns the range that is specified as title rows range. More...
void | setTitleRows ([in] com::sun::star::table::CellRangeAddress aTitleRows)
| specifies a range of rows as title rows range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a sheet which has print areas.

Developers Guide
  Spreadsheet Documents - Printing Spreadsheet Documents - Print Areas

## Member Function Documentation

## ◆ getPrintAreas()

sequence< com::sun::star::table::CellRangeAddress > getPrintAreas | ( |  | ) |

returns a sequence containing all print areas of the sheet.

## ◆ getPrintTitleColumns()

boolean getPrintTitleColumns | ( |  | ) |

returns, whether the title columns are repeated on all subsequent print pages to the right.

## ◆ getPrintTitleRows()

boolean getPrintTitleRows | ( |  | ) |

returns, whether the title rows are repeated on all subsequent print pages to the bottom.

## ◆ getTitleColumns()

com::sun::star::table::CellRangeAddress getTitleColumns | ( |  | ) |

returns the range that is specified as title columns range.

Title columns can be automatically repeated on all subsequent print pages to the right, using XPrintAreas::setPrintTitleColumns().

Returns
  the range of columns that is specified as title columns range.

## ◆ getTitleRows()

com::sun::star::table::CellRangeAddress getTitleRows | ( |  | ) |

returns the range that is specified as title rows range.

Title rows can be automatically repeated on all subsequent print pages to the bottom, using XPrintAreas::setPrintTitleRows().

Returns
  the range of rows that is specified as title rows range.

## ◆ setPrintAreas()

void setPrintAreas | ( | [in] sequence< com::sun::star::table::CellRangeAddress > | aPrintAreas | ) |

sets the print areas of the sheet.

If none of the sheets in a document have print areas, the whole sheets are printed. If any sheet contains print areas, other sheets without print areas are not printed.

Parameters

  aPrintAreas | a sequence containing all print areas for this sheet.

## ◆ setPrintTitleColumns()

void setPrintTitleColumns | ( | [in] boolean | bPrintTitleColumns | ) |

specifies whether the title columns are repeated on all subsequent print pages to the right.

Parameters

  bPrintTitleColumns | if `TRUE`, title columns are repeated on each page.

## ◆ setPrintTitleRows()

void setPrintTitleRows | ( | [in] boolean | bPrintTitleRows | ) |

specifies whether the title rows are repeated on all subsequent print pages to the bottom.

Parameters

  bPrintTitleRows | if `TRUE`, title rows are repeated on each page.

## ◆ setTitleColumns()

void setTitleColumns | ( | [in] com::sun::star::table::CellRangeAddress | aTitleColumns | ) |

specifies a range of columns as title columns range.

The rows of the passed range are ignored.

Title columns can be automatically repeated on all subsequent print pages to the right, using XPrintAreas::setPrintTitleColumns().

Parameters

  aTitleColumns | the title columns range.

## ◆ setTitleRows()

void setTitleRows | ( | [in] com::sun::star::table::CellRangeAddress | aTitleRows | ) |

specifies a range of rows as title rows range.

The columns of the passed range are ignored.

Title rows can be automatically repeated on all subsequent print pages to the bottom, using XPrintAreas::setPrintTitleRows().

Parameters

  aTitleRows | the title rows range.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XPrintAreas.idl